DefaultDbDigestDescriptor

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.table.permissions.database.server
Class DefaultDbDigestDescriptor

    java.lang.Object
      org.openswing.swing.table.permissions.database.server.DefaultDbDigestDescriptor

All Implemented Interfaces:
  DbDigestDescriptor

public class DefaultDbDigestDescriptor
extends java.lang.Object
implements DbDigestDescriptor

Title: OpenSwing Framework

Description: Default descriptor of the table related to permissions digest storing, where the primary key is based on the "functionId" attribute of the GridPermissions. It is based on a table having the following structure: CREATE TABLE PROFILE_DIGESTS(FUNCTION_ID VARCHAR,DIGEST VARCHAR,PRIMARY KEY(FUNCTION_ID))

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`DefaultDbDigestDescriptor()`

Method Summary
`java.lang.String` | `getDigestFieldName()`
`java.lang.String` | `getDigestTableName()`
`java.lang.String` | `getFunctionIdFieldName()`
`java.util.Hashtable` | `storeGridDigestOnInsert()` Callback method used to fill in the insert SQL instruction with the specified collection of pairs , when executing the "storeGridDigest" method.
`java.util.Hashtable` | `storeGridDigestOnSetUpdate()` Callback method used to fill in the SET part of the update SQL instruction with the specified collection of pairs , when executing the "storeGridDigest" method.
`java.util.Hashtable` | `storeGridDigestOnWhereUpdate()` Callback method used to fill in the WHERE part of the update SQL instruction with the specified collection of pairs , when executing the "storeGridDigest" method.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDbDigestDescriptor

    public DefaultDbDigestDescriptor()

Method Detail

### getDigestTableName

    public java.lang.String getDigestTableName()

  Specified by:
    `getDigestTableName` in interface `DbDigestDescriptor`
  Returns:
    name of the permissions digest table.

### getDigestFieldName

    public java.lang.String getDigestFieldName()

  Specified by:
    `getDigestFieldName` in interface `DbDigestDescriptor`
  Returns:
    database field name related to the "digest", that identify all grid columns

### getFunctionIdFieldName

    public java.lang.String getFunctionIdFieldName()

  Specified by:
    `getFunctionIdFieldName` in interface `DbDigestDescriptor`
  Returns:
    database field name related to the "functionId" attribute of GridPermissions

### storeGridDigestOnInsert

    public java.util.Hashtable storeGridDigestOnInsert()

  Callback method used to fill in the insert SQL instruction with the specified collection of pairs , when executing the "storeGridDigest" method. For instance a CREATE_USER field or a CREATE_DATE field.

  Specified by:
    `storeGridDigestOnInsert` in interface `DbDigestDescriptor`

### storeGridDigestOnSetUpdate

    public java.util.Hashtable storeGridDigestOnSetUpdate()

  Callback method used to fill in the SET part of the update SQL instruction with the specified collection of pairs , when executing the "storeGridDigest" method. For instance an UPDATE_USER field or an UPDATE_DATE field.

  Specified by:
    `storeGridDigestOnSetUpdate` in interface `DbDigestDescriptor`

### storeGridDigestOnWhereUpdate

    public java.util.Hashtable storeGridDigestOnWhereUpdate()

  Callback method used to fill in the WHERE part of the update SQL instruction with the specified collection of pairs , when executing the "storeGridDigest" method.

  Specified by:
    `storeGridDigestOnWhereUpdate` in interface `DbDigestDescriptor`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD